cURL
curl --request PATCH \ --url https://api.veryfront.com/conversations/{conversation_id}/messages/{message_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "parts": [ { "type": "text", "text": "<string>" } ] } '
{ "id": "<string>", "conversation_id": "<string>", "seq": 123, "role": "<string>", "parts": [ {} ], "status": "<string>", "created_at": "<string>", "parent_id": "<string>", "created_by": "<string>", "model": "<string>", "token_usage": null, "finish_reason": "<string>", "cost_credits": "<string>", "edited_at": "<string>", "idempotency_key": "<string>", "metadata": null, "updated_at": "<string>" }
Edits the parts of a message
Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.
Conversation ID
Message ID
1 - 200
Show child attributes
Updated message